CH340 su MAC High Sierra 10.13.1

Ciao a tutti, vi espongo il imo problema:
Ho comprato un modulo esp826601 e un nodemMCU in un negozio di elettronica della mia città, dopo alcune prove ho scoperto che avendo provenienza cinese montano il CH340G.
Più volte ho cercato su internet eseguito diversi tutorial, scaricando sempre il driver v1.3 sono riuscito a trovare anche la versione 1.4 ma continuano a non funzionare; in particolare non vengono riconosciuti nemmeno come porte USB..
Girando in rete ho capito che ogni versione andasse bene solo per alcuni aggiornamenti di PC e MAC, ora che posso fare? Esiste una versione per il Mac High Sierra (10.13.1)? O sono io stupido e sbaglio qualcosa?

Premesso che mi sono guardato bene dall’installare la 10.13.x e, per un bel po’, continuo con Sierra (10.12.6) …
… comunque, a pagamento (una piccola cifra … meno di 8€) li trovi sempre aggiornati QUI

Prima o poi naturalmente si troveranno anche quelli ‘free’ che ci sono sempre stati, ma … se c’è fretta, quel sito è sempre consigliabile e, pagato una volta … pagato per sempre :wink:

Guglielmo

P.S.: Se li prendi, poi occhio a NON fare il ‘buono’ ed a distribuirli agli amici … perché sono personalizzati e… se girano l’autore risale a chi li ha fatti girare. A buon intenditor poche parole …

Ah, ottimo grazie mille! Si effettivamente ho sbagliato ad aggiornarlo così presto..

Sapresti dirmi in quanto solitamente iniziano a girare i driver free?
Anche molto orientativamente, non vorrei comprarlo e tra una settimana trovare quelli gratuiti che circolano :sweat_smile: :sweat_smile:

Manfredk:
Sapresti dirmi in quanto solitamente iniziano a girare i driver free?

Mah ... io posso immaginare che già da inizio anno prossimo si comicino a trovare ... ormai High Sierra è da un po' che è fuori ... però non so dirti, onestamente ... neanche mi sono messo a cercarli ... non avendo aggioranto ed essendo un utente di quel sito dove li trovo sempre aggiornati sia per CH340/341 che per PL2303 :wink:

Guglielmo

Ah ottimo!
Grazie gentilissimo! :smiley:

Hai già provato la versione 1.4 del driver fatto dal produttore? Lo trovi QUI ...

Fammi sapere se funziona con High Sierra.

Guglielmo

Grazie Guglielmo, ma purtroppo ancora niente. Ho provato tre volte ma continua a non trovare nulla..

Non capisco se l'errore è mio a questo punto perché ero già riuscito a trovare la versione 1.4 del driver.
Per essere sicuro:

  1. elimino usbserial.kext (percorso: Macintosh HD/Libreria/Extensions/)
    Ho notato che ho in totale tre cartelle libreria con diversi percorsi, non so se è normale oppure no, non ho mai spulciato le cartelle con tanta attenzione prima. Sta di fatto che nelle altre librerie, in una non c'è proprio la cartella delle estensioni, e nell'altra ci sono molti più file tranne questo.

  2. Installo e riavvio

  3. cerco su Informazioni Sistema e sul terminale ma non trovo nulla.

Quando lo istallo, il file spunta solo nella cartella di cui ti ho scritto il percorso, però ho notato che a molti spunta nell'altra cartella estensioni (Sistema/Libreria/estensioni)..

Sai dirmi qualcosa?

C'è la cartella 'Library' di sistema, che è quella che sta nella radice e poi ci sono le cartelle 'Library' degli utenti, che stanno nella home dei singoli utenti.

Dopo il riavvio non trovi il .kext nell'elenco ... ma se colleghi il CH340 alla USB e ricontrolli dopo averlo collegato, neanche in quel caso appare nulla?

Comunque ... di cose strane con i .kext ne capitano, te lo assicuro ... :confused:
... io, solo su UNO solo dei miei Sierra, per quanto faccia, NON riesco più a fargli vedere i moduli che usano l'adattatore USB della FTDI ... cambiati i .kext, cancellati, reinstallati gli ultimi della FTDI ... nulla, mentre su tutte le altre macchine Sierra che ho, li vede senza alcun problema :o

Si deve essere incasinato qualche cosa a bassissimo livello e ... ho idea che senza reinstallare quella macchina, non risolverò mai il problema :frowning:

Guglielmo

Proprio nulla… Comunque sto continuando a cercare una soluzione, se dovessi trovare qualcosa la posto…

Al momento l’unico link degno di nota che ho trovato è questo:

Ma ovviamente per me non va :confused:

Ciao, anche io avevo il tuo stesso problema ma leggendo il pdf di config del driver 1.4 mi sono accorto che bisognava dare i permessi di esecuzione.
Basta andare su IMPOSTAZIONI --> SICUREZZA e fare PERMETTI di eseguire il driver.

>JJ-ComLine: buongiorno, essendo il tuo primo post, nel rispetto del regolamento della sezione Italiana del forum (… punto 13, primo capoverso), ti chiedo cortesemente di presentarti IN QUESTO THREAD (spiegando bene quali conoscenze hai di elettronica e di programmazione ... possibilmente evitando di scrivere solo una riga di saluto) e di leggere con MOLTA attenzione il su citato REGOLAMENTO ... Grazie. :slight_smile:

Guglielmo

un ciao a tutti,

non vedo attività su questo argomento, mi sapete dire se risolto?

mille grazie